#pragma once

#include <QMainWindow>
#include <QSortFilterProxyModel>
#include <universewindow.h>
#include <widgetmodel.h>

namespace Ui {
class DeviceWindow;
}

class DeviceWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit DeviceWindow(QWidget *parent = nullptr);
    ~DeviceWindow();

private slots:
    void selectionChanged(const QModelIndex &current, const QModelIndex &previous);
    void openDmxWindow(const QModelIndex &index);

private:
    Ui::DeviceWindow *ui;
    WidgetModel *model;
    QSortFilterProxyModel *sortProxy;
    QSet<UniverseWindow*> inspectors_;
};

