#include <QDebug>
#include "widgetexplorer.h"


WidgetExplorer::WidgetExplorer(int argc, char *argv[])
  : QApplication(argc, argv)
  , window_(nullptr)
{
  setOrganizationName("Company235");
  setOrganizationDomain("company235.com");
  setApplicationName(tr("widgetExplorer"));
  settings_ = new QSettings(this);

  // Persistant configuration
  qDebug() << "Loaded application settings from" << settings_->fileName();

  // Device list
  window_ = new DeviceWindow();
  window_->setWindowTitle(QApplication::applicationName());
  window_->show();
}


WidgetExplorer::~WidgetExplorer()
{
  saveSettings();
  delete window_;
}


/**
 * @brief SacnExplorer::saveSettings
 */
void WidgetExplorer::saveSettings()
{
  qDebug() << "Saving application settings to" << settings_->fileName();
}
